let loginurl = '/appLogin/login.do' //登录
let companyReporturl = '/appReport/companyReport.do' //公司战报
let agentRankingurl = '/appReport/agentRanking.do' //经纪人排名
let departmentReporturl = '/appReport/departmentReport.do' //公司战报（部门）
let groupRankingurl = '/appReport/groupRanking.do' //组排名(首页)
let personReporturl = '/appReport/personReport.do' //公司战报（人员）
let addressBookurl = '/appPerson/addressBook.do' //员工通讯录（人员）
let roomListurl = '/appHouse/roomList.do' //出租房源列表
let regionurl = '/appHouse/region.do' //出租房区域、户型、价格、房型查询
let getRoomTypeurl = '/appHouse/getRoomType.do' //房型列表查询
let roomPictureListurl = '/appHouse/roomPictureList.do' //出租房源图片列表
let areaRegionurl = '/appHouse/areaRegion.do' //出租房片区查询
let depositurl = '/appHouse/deposit.do' //出租房源收定
let customerFindurl = '/appCustomer/customerFind.do' //客户列表
let customerViewurl = '/appCustomer/customerView.do' //客户带看录入
let customerAddurl = '/appCustomer/customerAdd.do' //客户录入
let customerViewHistoryurl = '/appCustomer/customerViewHistory.do' //客源带看记录
let getChannelurl = '/appCustomer/getChannel.do' //客源渠道列表
let housecustomerViewHistoryurl = '/appHouse/customerViewHistory.do' //带看历史
let intermediaryurl = '/appMediacy/intermediary.do' //居间查询
let getFollowTypeurl = '/appMediacy/getFollowType.do' //居间跟进类别
let intermediaryFollowurl = '/appMediacy/intermediaryFollow.do' //居间跟进
let customerReceivableurl = '/appCustomer/customerReceivable.do' //房间应收信息查询
let resetPasswordurl = '/appPerson/resetPassword.do' //个人密码修改
let findProxyHouseurl = '/appNetWork/findProxyHouse.do' //网络房源查询
let findNetWorkurl = '/appNetWork/findNetWork.do' //网络详情查询
let cleanRepairApplyurl = '/appCleanRepair/cleanRepairApply.do' //保洁维修申请
let cleanRepairReviewurl = '/appCleanRepair/cleanRepairReview.do' //保洁维修审核
let findCleanRepairurl = '/appCleanRepair/findCleanRepair.do' //保洁维修审核列表
let cleanRepairHistoryurl = '/appCleanRepair/cleanRepairHistory.do' //保洁维修带房改价申请历史列表
let stickyPosturl = '/appMediacy/stickyPost.do' //居间置顶
let cancelStickyPosturl = '/appMediacy/cancelStickyPost.do' //取消居间置顶
let appChangePriceapplyurl = '/appChangePrice/apply.do' //改价申请
let appChangePriceaccepturl = '/appChangePrice/accept.do' //改价申请审批
let appChangePriceprocessurl = '/appChangePrice/process.do' //改价申请进度
let appChangePricehistoryurl = '/appChangePrice/history.do' //改价历史
let appChangePricelisturl = '/appChangePrice/list.do' //改价申请详情（判断是否自己房源）
let appChangePricecheckurl = '/appChangePrice/check.do' //改价申请校验
let takeHouseApplyurl = '/appTakeHouse/takeHouseApply.do' //带房申请
let takeHouseReviewurl = '/appTakeHouse/takeHouseReview.do' //带房审核
let oneCustomerInfourl= '/appHouseContract/oneCustomerInfo.do' //成交合同第一步客户信息
let getDeptListurl= '/appDept/getDeptList.do' //部门列表
let getPersonListurl= '/appPerson/getPersonList.do' //部门下的人员列表
let twoContractInfourl= '/appHouseContract/twoContractInfo.do' //成交合同第二步合同信息
let getContractListurl= '/appHouseContract/getContractList.do' //合同审核列表
let appSaveurl= '/appHouseContract/appSave.do' //定金合同申请
let depositExamineurl= '/appHouseContract/depositExamine.do' //定金合同审批
let getDepositListurl= '/appHouseContract/getDepositList.do' //合同审核列表
let signDepositCallbackurl= '/appHouseContract/signDepositCallback.do' //签约回调
let djContracturl= '/appHouseContract/djContract.do' //定金合同详情 
let contractListurl= '/appHouseContract/contractList.do' //房间续租合同信息查询
let sendCodeurl = '/appPhoneCode/sendCode.do' //手机号发短信
let sendUserurl = '/appPhoneCode/sendUser.do' //用户名发短信
let checkCodeurl = '/appPhoneCode/checkCode.do' //验证短信
let takeHouseListurl = '/appTakeHouse/takeHouseList.do' //带房审核
let cleanRepairHistory1url = '/appCleanRepair/cleanRepairHistory.do' //带房历史列表
let storeUpurl = '/appMediacy/storeUp.do' //居间关注
let cancelStoreUpurl = '/appMediacy/cancelStoreUp.do' //取消居间关注
let storeUp1url = '/appHouse/storeUp.do' //出租关注
let cancelStoreUp1url = '/appMediacy/cancelStoreUp.do' //取消出租关注
let applisturl = '/appNews/list.do' //公告列表
let appdetailurl = '/appNews/detail.do' //公告详情
let appreplyurl= '/appNews/reply.do' //公告回复
let replyListurl= '/appNews/replyList.do' //公告回复列表
let assiturl= '/appNews/assit.do' //公告点赞
let assitCounturl= '/appNews/assitCount.do' //公告点赞总数
let viewListurl= '/appNews/viewList.do' //公告查看查询
let updateStatusurl= '/appCustomer/updateStatus.do' //客户列表放弃客户
let findDetailHistoryurl= '/appMediacy/findDetailHistory.do' //居间查看历史
let personalIntermediaryViewurl= '/appMediacy/personalIntermediaryView.do' //居间查看历史录入
let visiturl= '/appMediacy/visit.do' //居间拜访
let checkVerificationCodeurl= '/appPerson/checkVerificationCode.do' //验证校验码
let getVerificationCodeurl= '/appPerson/getVerificationCode.do' //获取校验码
let forgetResetPasswordurl= '/appPerson/forgetResetPassword.do' //修改密码(忘记密码功能)
let uploadurl= '/file/upload.do' //文件上传
let sendPasswordurl= '/appLock/sendPassword.do' //房源详情-密码锁
let findPersonurl= '/appPerson/findPerson.do' //当前登录人信息查询
let updateLevelurl= '/appCustomer/updateLevel.do' //客源关注功能
let findRepairPersonTaskurl= '/appCleanRepair/findRepairPersonTask.do' //查询当前登录维修人的维修任务
let confirmRepairTaskurl= '/appCleanRepair/confirmRepairTask.do' //维修人员确认当前已完成的维修
let repairEquipmentDictionaryurl= '/appCleanRepair/repairEquipmentDictionary.do' //维修设备字典
let dealurl= '/appContract/deal.do' //成交合同申请
let examineurl= '/appContract/examine.do' //合同主管审核店长审批
let processurl= '/appContractProcess/process.do' //合同申请进度
let contracturl= '/appContractModel/contract.do' //改价申请详情
let oneVerificationContractInfourl= '/appHouseContract/oneVerificationContractInfo.do' //成交合同第一步验证如果只添加部分数据，则根据房间id查询用户信息


const install = (Vue, vm) => {
  let oneVerificationContractInfo = (params) => vm.$u.post(oneVerificationContractInfourl, params);
  let cleanRepairHistory1 = (params) => vm.$u.post(cleanRepairHistory1url, params);
  let storeUp = (params) => vm.$u.post(storeUpurl, params);
  let cancelStoreUp = (params) => vm.$u.post(cancelStoreUpurl, params);
  let storeUp1 = (params) => vm.$u.post(storeUp1url, params);
  let replyList = (params) => vm.$u.post(replyListurl, params);
  let appreply = (params) => vm.$u.post(appreplyurl, params);
  let appdetail = (params) => vm.$u.post(appdetailurl, params);
  let applist = (params) => vm.$u.post(applisturl, params);
  let cancelStoreUp1 = (params) => vm.$u.post(cancelStoreUp1url, params);
  let getVerificationCode = (params) => vm.$u.post(getVerificationCodeurl, params);
  let forgetResetPassword = (params) => vm.$u.post(forgetResetPasswordurl, params);
  let checkVerificationCode = (params) => vm.$u.post(checkVerificationCodeurl, params);
  let visit = (params) => vm.$u.post(visiturl, params);
  let personalIntermediaryView = (params) => vm.$u.post(personalIntermediaryViewurl, params);
  let findDetailHistory = (params) => vm.$u.post(findDetailHistoryurl, params);
  let updateStatus = (params) => vm.$u.post(updateStatusurl, params);
  let viewList = (params) => vm.$u.post(viewListurl, params);
  let assitCount = (params) => vm.$u.post(assitCounturl, params);
  let assit = (params) => vm.$u.post(assiturl, params);
  let contract = (params) => vm.$u.post(contracturl, params);
  let process = (params) => vm.$u.post(processurl, params);
  let examine = (params) => vm.$u.post(examineurl, params);
  let deal = (params) => vm.$u.post(dealurl, params);
  let repairEquipmentDictionary = (params) => vm.$u.post(repairEquipmentDictionaryurl, params);
  let confirmRepairTask = (params) => vm.$u.post(confirmRepairTaskurl, params);
  let findRepairPersonTask = (params) => vm.$u.post(findRepairPersonTaskurl, params);
  let updateLevel = (params) => vm.$u.post(updateLevelurl, params);
  let findPerson = (params) => vm.$u.post(findPersonurl, params);
  let sendPassword = (params) => vm.$u.post(sendPasswordurl, params);
  let upload = (params) => vm.$u.post(uploadurl, params);
  let login = (params) => vm.$u.post(loginurl, params);
  let sendCode = (params) => vm.$u.post(sendCodeurl, params);
  let sendUser = (params) => vm.$u.post(sendUserurl, params);
  let checkCode = (params) => vm.$u.post(checkCodeurl, params);
  let takeHouseList = (params) => vm.$u.post(takeHouseListurl, params);
  let contractList = (params) => vm.$u.post(contractListurl, params);
  let djContract = (params) => vm.$u.post(djContracturl, params);
  let signDepositCallback = (params) => vm.$u.post(signDepositCallbackurl, params);
  let getDepositList = (params) => vm.$u.post(getDepositListurl, params);
  let depositExamine = (params) => vm.$u.post(depositExamineurl, params);
  let appSave = (params) => vm.$u.post(appSaveurl, params);
  let getContractList = (params) => vm.$u.post(getContractListurl, params);
  let twoContractInfo = (params) => vm.$u.post(twoContractInfourl, params);
  let getPersonList = (params) => vm.$u.post(getPersonListurl, params);
  let getDeptList = (params) => vm.$u.post(getDeptListurl, params);
  let oneCustomerInfo = (params) => vm.$u.post(oneCustomerInfourl, params);
  let appChangePriceapply = (params) => vm.$u.post(appChangePriceapplyurl, params);
  let appChangePriceaccept = (params) => vm.$u.post(appChangePriceaccepturl, params);
  let appChangePriceprocess = (params) => vm.$u.post(appChangePriceprocessurl, params);
  let appChangePricelist = (params) => vm.$u.post(appChangePricelisturl, params);
  let appChangePricehistory = (params) => vm.$u.post(appChangePricehistoryurl, params);
  let appChangePricecheck = (params) => vm.$u.post(appChangePricecheckurl, params);
  let takeHouseApply = (params) => vm.$u.post(takeHouseApplyurl, params);
  let takeHouseReview = (params) => vm.$u.post(takeHouseReviewurl, params);
  let intermediaryFollow = (params) => vm.$u.post(intermediaryFollowurl, params);
  let customerReceivable = (params) => vm.$u.post(customerReceivableurl, params);
  let resetPassword = (params) => vm.$u.post(resetPasswordurl, params);
  let findProxyHouse = (params) => vm.$u.post(findProxyHouseurl, params);
  let findNetWork = (params) => vm.$u.post(findNetWorkurl, params);
  let cleanRepairApply = (params) => vm.$u.post(cleanRepairApplyurl, params);
  let cleanRepairReview = (params) => vm.$u.post(cleanRepairReviewurl, params);
  let findCleanRepair = (params) => vm.$u.post(findCleanRepairurl, params);
  let cleanRepairHistory = (params) => vm.$u.post(cleanRepairHistoryurl, params);
  let stickyPost = (params) => vm.$u.post(stickyPosturl, params);
  let cancelStickyPost = (params) => vm.$u.post(cancelStickyPosturl, params);
  let companyReport = (params) => vm.$u.post(companyReporturl, params);
  let agentRanking = (params) => vm.$u.post(agentRankingurl, params);
  let departmentReport = (params) => vm.$u.post(departmentReporturl, params);
  let groupRanking = (params) => vm.$u.post(groupRankingurl, params);
  let personReport = (params) => vm.$u.post(personReporturl, params);
  let addressBook = (params) => vm.$u.post(addressBookurl, params);
  let roomList = (params) => vm.$u.post(roomListurl, params);
  let region = (params) => vm.$u.post(regionurl, params);
  let getRoomType = (params) => vm.$u.post(getRoomTypeurl, params);
  let roomPictureList = (params) => vm.$u.post(roomPictureListurl, params);
  let areaRegion = (params) => vm.$u.post(areaRegionurl, params);
  let deposit = (params) => vm.$u.post(depositurl, params);
  let customerFind = (params) => vm.$u.post(customerFindurl, params);
  let customerView = (params) => vm.$u.post(customerViewurl, params);
  let customerAdd = (params) => vm.$u.post(customerAddurl, params);
  let customerViewHistory = (params) => vm.$u.post(customerViewHistoryurl, params);
  let getChannel = (params) => vm.$u.post(getChannelurl, params);
  let housecustomerViewHistory = (params) => vm.$u.post(housecustomerViewHistoryurl, params);
  let intermediary = (params) => vm.$u.post(intermediaryurl, params);
  let getFollowType = (params) => vm.$u.post(getFollowTypeurl, params);

 
  vm.$u.api = {
    login,
    sendCode,
    sendUser,
    checkCode,
    oneVerificationContractInfo,
    assit,
    assitCount,
    viewList,
    updateStatus,
    findDetailHistory,
    personalIntermediaryView,
    visit,
    checkVerificationCode,
    forgetResetPassword,
    getVerificationCode,
    findDetailHistory,
    applist,
    cancelStoreUp1,
    appreply,
    appdetail,
    replyList,
    storeUp1,
    cleanRepairHistory1,
    storeUp,
    cancelStoreUp,
    contract,
    process,
    examine,
    deal,
    repairEquipmentDictionary,
    confirmRepairTask,
    findRepairPersonTask,
    updateLevel,
    findPerson,
    sendPassword,
    upload,
    takeHouseList,
    contractList,
    djContract,
    signDepositCallback,
    getDepositList,
    depositExamine,
    appSave,
    getContractList,
    twoContractInfo,
    getPersonList,
    getDeptList,
    oneCustomerInfo,
    companyReport,
    agentRanking,
    departmentReport,
    groupRanking,
    personReport,
    addressBook,
    roomList,
    region,
    getRoomType,
    roomPictureList,
    areaRegion,
    deposit,
    customerFind,
    customerView,
    customerAdd,
    customerViewHistory,
    getChannel,
    housecustomerViewHistory,
    intermediary,
    getFollowType,
    appChangePriceapply,
    appChangePriceaccept,
    appChangePriceprocess,
    appChangePricelist,
    appChangePricehistory,
    appChangePricecheck,
    takeHouseApply,
    takeHouseReview,
    intermediaryFollow,
    customerReceivable,
    resetPassword,
    findProxyHouse,
    findNetWork,
    cleanRepairApply,
    cleanRepairReview,
    findCleanRepair,
    cleanRepairHistory,
    stickyPost,
    cancelStickyPost
  }
}

export default {
    install
}